Get Flow dashboard
Get Flow dashboard. See the OpenAPI-defined parameters, request body, and responses below.
GET
/Flow/dashboardGet Flow dashboard. See the OpenAPI-defined parameters, request body, and responses below.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
| Name | Location | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
FlowId | query | integer · int32 | No | — | — |
TaskCreatedAtStart | query | string · date-time | No | — | — |
TaskCreatedAtEnd | query | string · date-time | No | — | — |
TaskCompletedAtStart | query | string · date-time | No | — | — |
TaskCompletedAtEnd | query | string · date-time | No | — | — |
TaskStatus | query | FlowTaskStatus | No | 0 = Pending; 1 = InProgress; 2 = Completed; 3 = Canceled | — |
Grouping | query | FlowDashboardGrouping | No | 0 = Day; 1 = Month | — |
Request body
This operation does not accept a request body.
Example request
curl --request GET \
--url 'https://api.zild.ai/Flow/dashboard?FlowId={FlowId}&TaskCreatedAtStart={TaskCreatedAtStart}&TaskCreatedAtEnd={TaskCreatedAtEnd}&TaskCompletedAtStart={TaskCompletedAtStart}&TaskCompletedAtEnd={TaskCompletedAtEnd}&TaskStatus={TaskStatus}&Grouping={Grouping}' \
--header 'X-API-Key: YOUR_USER_API_KEY'
Responses
| Status | Description | Response body |
|---|---|---|
200 | OK | No response body is defined. |
Data models
FlowDashboardGrouping
0 = Day; 1 = Month
integer
FlowTaskStatus
0 = Pending; 1 = InProgress; 2 = Completed; 3 = Canceled
integer